## python-wrapt 1.10.11

=== Makefile ===
.PHONY : all

all :

install : all
	pip install -U .

package :
	python setup.py sdist

release : clean package
	twine upload dist/*

clean :
	rm -rf build dist wrapt.egg-info

test :
	tox

## python-wrapt 1.8.0

=== debian/changelog ===
python-wrapt (1.8.0-5build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:45:51 +0000

python-wrapt (1.8.0-5build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Aug 2015 20:27:50 +0000

python-wrapt (1.8.0-5) unstable; urgency=medium

  * Added do-not-run-test_proxy_attribute.patch to avoid FTBFS. Thanks to David
    Suárez <david.sephirot@gmail.com> for the bug report (Closes: #755325).

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Jul 2014 07:37:40 +0000

python-wrapt (1.8.0-4) unstable; urgency=medium

  * wrapt is of arch "any" and not "all", therefore all the build-depends-indep
    should be in build-depends. This upload fixes that.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 23:34:47 +0800

python-wrapt (1.8.0-3) unstable; urgency=medium

  * Added missing depends on python-six / python3-six (Closes: #750579).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 14:17:01 +0000

python-wrapt (1.8.0-2) unstable; urgency=medium

  * Moves python-sphinx to build-depends instead of build-depends-indep.
    (Closes: #750579).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 06:35:41 +0000

python-wrapt (1.8.0-1) unstable; urgency=low

  * Initial release. (Closes: #749594)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 16:33:31 +0800

=== debian/control ===
Source: python-wrapt
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               python-pytest,
               python-setuptools,
               python-six,
               python-sphinx,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-wrapt.git
Vcs-Git: git://anonscm.debian.org/openstack/python-wrapt.git
Homepage: https://github.com/GrahamDumpleton/wrapt

Package: python-wrapt
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: decorators, wrappers and monkey patching. - Python 2.x
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the Python 2.x module.

Package: python3-wrapt
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-six, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: decorators, wrappers and monkey patching. - Python 3.x
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the Python 3.x module.

Package: python-wrapt-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: decorators, wrappers and monkey patching. - doc
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/GrahamDumpleton/wrapt.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-wrapt; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-wrapt; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ln -s src wrapt
	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=. py.test-$$pyvers -v tests ; \
	done
	rm -f wrapt
endif

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-wrapt-doc/usr/share/doc/python-wrapt-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/w/wrapt wrapt-(.*).tar.gz

## python-wrapt 1.9.0

=== debian/changelog ===
python-wrapt (1.9.0-4~nd0~nd16.10+1) yakkety; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Yaroslav Halchenko ]
  * debian/watch - use http://pypi.debian.net/ to monitor for new versions
  * debian/patches/0001-ENH-allow-to-disable-wrapt-extensions-at-run-time-vi.patch
    to be able to avoid segfault in DataLad

  [ NeuroDebian Maintainers ]
  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 14 Sep 2017 12:08:23 -0400

python-wrapt (1.9.0-2) unstable; urgency=medium

  * Repair the mistake of build-depends-indep: the binaries are *not*
    arch: all.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Sep 2016 13:22:18 +0000

python-wrapt (1.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release (Closes: #765064):
    - Drop do-not-use-embedded-six.py.patch and
      no-from-wrapt-import-six-in-tests.patch, as src/six.py is gone upstream.
    - Drop fix-python-3.4-compat.patch applied upstream.
    - Drop python-3.2-compat.patch as upstream isn't using embedded six.
  * Standards-Version is now 3.9.6 (no change).
  * Removed non-active maintainers.
  * Reviewed (build-)depends and ran wrap-and-sort -t -a.
  * Simplified debian/rules using goodies from openstack-pkg-tools >= 52~.
  * Using python$$pyvers -m pytest to run tests (Closes: #835247).
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.8 (no change).
  * Added export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow.
  * Removed do-not-use-the-rdt-sphinx-theme.patch and build-depends on the
    python-sphinx-rtd-theme package.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Sep 2016 08:05:11 +0000

=== debian/control ===
Source: python-wrapt
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all-dev,
 python-pytest,
 python-setuptools,
 python-six,
 python-sphinx,
 python-sphinx-rtd-theme,
 python3-all,
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-wrapt.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-wrapt.git
Homepage: https://github.com/GrahamDumpleton/wrapt

Package: python-wrapt
Architecture: any
Depends: neurodebian-popularity-contest, 
 python-six,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: decorators, wrappers and monkey patching. - Python 2.x
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the Python 2.x module.

Package: python-wrapt-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, 
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: decorators, wrappers and monkey patching. - doc
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the documentation.

Package: python3-wrapt
Architecture: any
Depends: neurodebian-popularity-contest, 
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: decorators, wrappers and monkey patching. - Python 3.x
 The aim of the wrapt module is to provide a transparent object proxy for
 Python, which can be used as the basis for the construction of function
 wrappers and decorator functions.
 .
 The wrapt module focuses very much on correctness. It therefore goes way
 beyond existing mechanisms such as functools.wraps() to ensure that decorators
 preserve introspectability, signatures, type checking abilities etc. The
 decorators that can be constructed using this module will work in far more
 scenarios than typical decorators and provide more predictable and consistent
 behaviour.
 .
 To ensure that the overhead is as minimal as possible, a C extension module is
 used for performance critical components. An automatic fallback to a pure
 Python implementation is also provided where a target system does not have a
 compiler to allow the C extension to be compiled.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
http://pypi.debian.net/wrapt/wrapt-(.*).tar.gz

## python-wrapt 1.10.11

=== debian/changelog ===
python-wrapt (1.10.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release:
    - Fix segfaults (Closes: #875797).
  * Fix PYTHONPATH when running tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 14:07:50 +0200

python-wrapt (1.9.0-3) unstable; urgency=medium

  * Team upload.

  [ Daniel Baumann ]
  * Updating vcs fields. (Closes: #875798)
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * d/watch: Use pypi.debian.net (Closes: #875799)
  * Updating standards version to 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 16:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-wrapt
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -20,14 +19,14 @@
  python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-wrapt.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-wrapt.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wrapt
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wrapt.git
 Homepage: https://github.com/GrahamDumpleton/wrapt
 
 Package: python-wrapt
 Architecture: any
-Depends: neurodebian-popularity-contest, 
+Depends:
  python-six,
  ${misc:Depends},
  ${python:Depends},
@@ -54,7 +53,7 @@
 Package: python-wrapt-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, 
+Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: decorators, wrappers and monkey patching. - doc
@@ -78,7 +77,7 @@
 
 Package: python3-wrapt
 Architecture: any
-Depends: neurodebian-popularity-contest, 
+Depends:
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/GrahamDumpleton/wrapt.git
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ln -s src wrapt
	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=.:src python$$pyvers -m pytest -v tests ; \
	done
	rm -f wrapt
endif

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-wrapt-doc/usr/share/doc/python-wrapt-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-wrapt 1.11.2

=== debian/changelog ===
python-wrapt (1.11.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:46:38 +0100

python-wrapt (1.11.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:41:58 +0200

python-wrapt (1.11.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 13:07:14 +0200

python-wrapt (1.10.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938264).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 17:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,50 +5,20 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 9),
  dh-python,
- openstack-pkg-tools (>= 52~),
- python-all-dev,
- python-pytest,
- python-setuptools,
- python-six,
- python-sphinx,
- python-sphinx-rtd-theme,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
  python3-six,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.1.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-wrapt
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-wrapt.git
 Homepage: https://github.com/GrahamDumpleton/wrapt
-
-Package: python-wrapt
-Architecture: any
-Depends:
- python-six,
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: decorators, wrappers and monkey patching. - Python 2.x
- The aim of the wrapt module is to provide a transparent object proxy for
- Python, which can be used as the basis for the construction of function
- wrappers and decorator functions.
- .
- The wrapt module focuses very much on correctness. It therefore goes way
- beyond existing mechanisms such as functools.wraps() to ensure that decorators
- preserve introspectability, signatures, type checking abilities etc. The
- decorators that can be constructed using this module will work in far more
- scenarios than typical decorators and provide more predictable and consistent
- behaviour.
- .
- To ensure that the overhead is as minimal as possible, a C extension module is
- used for performance critical components. An automatic fallback to a pure
- Python implementation is also provided where a target system does not have a
- compiler to allow the C extension to be compiled.
- .
- This package contains the Python 2.x module.
 
 Package: python-wrapt-doc
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wrapt/wrapt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-wrapt 1.12.1

=== debian/changelog ===
python-wrapt (1.12.1-4) unstable; urgency=medium

  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 15:10:08 +0200

python-wrapt (1.12.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 09:32:12 +0200

python-wrapt (1.12.1-2) experimental; urgency=medium

  * Add Update_for_fixed_outer_classmethod_behavior_in_Python_3.9.patch
    (Closes: #972031).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2020 10:54:21 +0200

python-wrapt (1.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Up debhelper-compat to version 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 08:56:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,

## python-wrapt 1.13.3

=== debian/changelog ===
python-wrapt (1.13.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:09:18 +0000

python-wrapt (1.13.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS in tests (Closes: #999392).
  * Removed patch applied upstream:
    - Update_for_fixed_outer_classmethod_behavior_in_Python_3.9.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 17:45:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/GrahamDumpleton/wrapt.git
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ln -s src wrapt
	set -ex && for pyvers in $(PYTHON3S); do \
		PYTHONPATH=.:src python$$pyvers -m pytest -v tests ; \
	done
	rm -f wrapt
endif

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs debian/python-wrapt-doc/usr/share/doc/python-wrapt-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-wrapt 1.14.1

=== debian/changelog ===
python-wrapt (1.14.1-5) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 17:24:06 +0200

python-wrapt (1.14.1-4) unstable; urgency=medium

  * Cleans better (Closes: #1045959).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 16:46:04 +0200

python-wrapt (1.14.1-3) unstable; urgency=medium

  * Drop (build-)depends on python3-six (Closes: #1039007).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 16:03:45 +0200

python-wrapt (1.14.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:36:55 +0200

python-wrapt (1.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 10:23:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	rm -rf build
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf .pytest_cache
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-wrapt 1.15.0

=== debian/changelog ===
python-wrapt (1.15.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:05:18 +0000

python-wrapt (1.15.0-2build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:03 +0100

python-wrapt (1.15.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:55:18 +0000

python-wrapt (1.15.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:03:45 +0200

python-wrapt (1.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased do-not-run-test_proxy_attribute.patch.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:01:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-wrapt
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.1.1
@@ -48,7 +48,6 @@
 Package: python3-wrapt
 Architecture: any
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info src/*.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	rm -rf .pytest_cache

## python-wrapt 1.17.3

=== Makefile ===
.PHONY : all

all :

install : all
	pip install -U .

package :
	python setup.py sdist

release : clean package
	twine upload dist/*

mostlyclean:
	rm -rf .coverage.*

clean: mostlyclean
	rm -rf build dist src/wrapt.egg-info .tox

test :
	tox --skip-missing-interpreters

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wrapt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wrapt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wrapt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wrapt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-wrapt (1.17.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:26:53 +0200

python-wrapt (1.17.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fix_classmethod_tests_with_Python_3.13.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:01:20 +0200

python-wrapt (1.15.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090633).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 21:57:05 +0100

python-wrapt (1.15.0-3) unstable; urgency=medium

  * Add Fix_classmethod_tests_with_Python_3.13.patch (Closes: #1081479).

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2024 11:54:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-wrapt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info src/*.egg-info
@@ -31,4 +31,4 @@
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b html docs debian/python-wrapt-doc/usr/share/doc/python-wrapt-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/GrahamDumpleton/wrapt/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-wrapt 2.1.1

=== debian/changelog ===
python-wrapt (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased do-not-run-test_proxy_attribute.patch.
  * Removed pytest-9-compat.patch.
  * Cleans better.
  * Add privacy-breach.patch.
  * Add pybuild-plugin-pyproject as build-depends.
  * Fix descriptions.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 15:29:03 +0100

python-wrapt (1.17.3-3) unstable; urgency=medium

  * Add pytest-9-compat.patch (Closes: #1123461).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Dec 2025 11:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-pytest,
@@ -25,7 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Description: decorators, wrappers and monkey patching. - doc
+Description: decorators, wrappers and monkey patching - doc
  The aim of the wrapt module is to provide a transparent object proxy for
  Python, which can be used as the basis for the construction of function
  wrappers and decorator functions.
@@ -50,7 +51,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Description: decorators, wrappers and monkey patching. - Python 3.x
+Description: decorators, wrappers and monkey patching
  The aim of the wrapt module is to provide a transparent object proxy for
  Python, which can be used as the basis for the construction of function
  wrappers and decorator functions.
@@ -66,5 +67,3 @@
  used for performance critical components. An automatic fallback to a pure
  Python implementation is also provided where a target system does not have a
  compiler to allow the C extension to be compiled.
- .
- This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build *.egg-info src/*.egg-info
+	rm -rf build *.egg-info src/*.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	rm -rf .pytest_cache
